# Type Alias Header

type Header = {
css?: string;
headerTag?: string;
only_if?: (req: Req) => boolean | undefined;
onlyFieldviews?: string[];
onlyViews?: string[];
script?: string;
}

- Defined in base_types.ts:61

##### Index

### Properties

css?
headerTag?
only_if?
onlyFieldviews?
onlyViews?
script?

## Properties

### `Optional` css

css?: string

- Defined in base_types.ts:63

### `Optional` headerTag

headerTag?: string

- Defined in base_types.ts:64

### `Optional` only_if

only_if?: (req: Req) => boolean | undefined

- Defined in base_types.ts:67

### `Optional` onlyFieldviews

onlyFieldviews?: string[]

- Defined in base_types.ts:66

### `Optional` onlyViews

onlyViews?: string[]

- Defined in base_types.ts:65

### `Optional` script

script?: string

- Defined in base_types.ts:62